package cn.estsh.i3plus.core.api.iservice.busi;

import cn.estsh.i3plus.pojo.platform.bean.SysPosition;
import cn.estsh.i3plus.pojo.platform.bean.SysRefUserPosition;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description : 通用内存树查询服务
 * @Reference :
 * @Author : wei.peng
 * @Date : 2018-10-24 11:16
 * @Modify :
 **/
public interface ICoreMemTreeService {

    @ApiOperation(value = "分装岗位树",notes = "分装岗位树")
    List<SysPosition> packTreeSysPosition(List<SysPosition> list,Long parentId);

    @ApiOperation(value = "分装岗位树",notes = "根据用户岗位关系分装岗位树")
    List<SysPosition> packTreeSysPositionBySysRefUserPosition(List<SysPosition> list, List<SysRefUserPosition> refList);

    @ApiOperation(value = "分装岗位树",notes = "根据制定IDS分装岗位树")
    List<SysPosition> packTreeSysPositionByIds(List<SysPosition> list, List<Long> ids);

    @ApiOperation(value = "分装岗位树",notes = "根据制定ID分装岗位树")
    SysPosition packTreeSysPositionById(List<SysPosition> list, Long id);

    @ApiOperation(value = "查询岗位子节点",notes = "查询字节点岗位ID")
    List<Long> findChildSysPosition(SysPosition position);

}
